import GitlabUser      from './GitlabUser';
import GitlabCommit    from './GitlabCommit';
import GitlabMilestone from './GitlabMilestone';


interface GitlabRelease {
    tag_name: string;
    description: string;
    created_at: string;
    released_at: string;
    author: GitlabUser;
    commit: GitlabCommit;
    milestones: Array<GitlabMilestone>;
    commit_path: string;
    tag_path: string;
    assets: {
        count: number; sources: Array<{
            format: string; url: string;
        }>; links: Array<{
            id: number; name: string; url: string; link_type: string;
        }>; evidence_file_path: string;
    };
    evidences: Array<{
        sha: string; filepath: string; collected_at: string;
    }>;
}


export default GitlabRelease; 